Loading...
Searching...
No Matches
Dune::Geo::ReferenceElements< ctype_, dim > Struct Template Reference
dune-geometry » Reference Elements

Class providing access to the singletons of the reference elements. More...

`#include <dune/geometry/referenceelements.hh>`

Inheritance diagram for Dune::Geo::ReferenceElements< ctype_, dim >:

## Public Types

using | ctype = ctype_
| The coordinate field type of the contained reference elements.
using | CoordinateField = ctype
| The coordinate field type of the contained reference elements.
using | ReferenceElement = typename Container::ReferenceElement
| The reference element type.
using | Iterator = typename Container::const_iterator
| Iterator over available reference elements.
using | iterator = Iterator
| Iterator over available reference elements.

## Static Public Member Functions

static const ReferenceElement & | general (const GeometryType &type)
| get general reference elements
static const ReferenceElement & | simplex ()
| get simplex reference elements
static const ReferenceElement & | cube ()
| get hypercube reference elements
static Iterator | begin ()
static Iterator | end ()

## Static Public Attributes

static constexpr int | dimension = dim
| The dimension of the contained reference elements.

## Detailed Description

template<class ctype_, int dim>
struct Dune::Geo::ReferenceElements< ctype_, dim >

Class providing access to the singletons of the reference elements.

Special methods are available for simplex and cube elements of any dimension. The method general can be used to obtain the reference element for a given geometry type.

## Member Typedef Documentation

## CoordinateField

template<class ctype_, int dim>

using Dune::Geo::ReferenceElements< ctype_, dim >::CoordinateField = ctype

The coordinate field type of the contained reference elements.

## ctype

template<class ctype_, int dim>

using Dune::Geo::ReferenceElements< ctype_, dim >::ctype = ctype_

The coordinate field type of the contained reference elements.

## Iterator

template<class ctype_, int dim>

using Dune::Geo::ReferenceElements< ctype_, dim >::Iterator = typename Container::const_iterator

Iterator over available reference elements.

## iterator

template<class ctype_, int dim>

using Dune::Geo::ReferenceElements< ctype_, dim >::iterator = Iterator

Iterator over available reference elements.

## ReferenceElement

template<class ctype_, int dim>

using Dune::Geo::ReferenceElements< ctype_, dim >::ReferenceElement = typename Container::ReferenceElement

The reference element type.

## Member Function Documentation

## begin()

template<class ctype_, int dim>

Iterator Dune::Geo::ReferenceElements< ctype_, dim >::begin | ( |  | ) |

inline static

## cube()

template<class ctype_, int dim>

const ReferenceElement & Dune::Geo::ReferenceElements< ctype_, dim >::cube | ( |  | ) |

inline static

get hypercube reference elements

## end()

template<class ctype_, int dim>

Iterator Dune::Geo::ReferenceElements< ctype_, dim >::end | ( |  | ) |

inline static

## general()

template<class ctype_, int dim>

const ReferenceElement & Dune::Geo::ReferenceElements< ctype_, dim >::general | ( | const GeometryType & | type | ) |

inline static

get general reference elements

## simplex()

template<class ctype_, int dim>

const ReferenceElement & Dune::Geo::ReferenceElements< ctype_, dim >::simplex | ( |  | ) |

inline static

get simplex reference elements

## Member Data Documentation

## dimension

template<class ctype_, int dim>

int Dune::Geo::ReferenceElements< ctype_, dim >::dimension = dim

static constexpr

The dimension of the contained reference elements.

The documentation for this struct was generated from the following files:

- affinegeometry.hh
- referenceelements.hh